> ## Documentation Index
> Fetch the complete documentation index at: https://developers.smarterservices.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Event Report

> Returns the full event report object for the specified event report SID.<br/><br/>The `eventReportSid` is validated through the hierarchy: eventReport → session → exam → appInstall.



## OpenAPI

````yaml https://api.dev.smarterproctoring.com/openapi.json get /v1/installs/{installSid}/exams/{examSid}/sessions/{sessionSid}/events/{eventReportSid}
openapi: 3.0.0
info:
  title: SmarterProctoring API
  version: 3.0.3
  description: API documentation for SmarterProctoring
servers:
  - url: https://api.smarterproctoring.com
security:
  - client: []
tags:
  - name: App Install
    description: App Install operations
    x-group: App Install
  - name: Course
    description: Course operations
    x-group: Course
  - name: Course Offering
    description: Course Offering operations
    x-group: Course Offering
  - name: Exam
    description: Exam operations
    x-group: Exam
  - name: Exam Configuration
    description: Exam Configuration operations
    x-group: Exam Configuration
  - name: Exam Events
    description: Exam Events operations
    x-group: Exam Events
  - name: Exam Session
    description: Exam Session operations
    x-group: Exam Session
  - name: Exam Session Annotation
    description: Exam Session Annotation operations
    x-group: Exam Session Annotation
  - name: Exam Session Event
    description: Exam Session Event operations
    x-group: Exam Session Event
  - name: Onboarding
    description: Onboarding operations
    x-group: Onboarding
  - name: Provision
    description: Provision operations
    x-group: Provision
  - name: Reports
    description: Reports operations
    x-group: Reports
  - name: Time Zones
    description: Time Zones operations
    x-group: Time Zones
  - name: User
    description: User operations
    x-group: User
paths:
  /v1/installs/{installSid}/exams/{examSid}/sessions/{sessionSid}/events/{eventReportSid}:
    get:
      tags:
        - Exam Session Event
      summary: Get Event Report
      description: >-
        Returns the full event report object for the specified event report
        SID.<br/><br/>The `eventReportSid` is validated through the hierarchy:
        eventReport → session → exam → appInstall.
      operationId: >-
        getV1InstallsInstallsidExamsExamsidSessionsSessionsidEventsEventreportsid
      parameters:
        - name: installSid
          in: path
          schema:
            type: string
            description: Application install sid
            pattern: ^AI[a-f0-9]{32}$
          description: Application install sid
          required: true
        - name: examSid
          in: path
          schema:
            type: string
            description: Exam Sid
            pattern: ^EX[a-f0-9]{32}$
          description: Exam Sid
          required: true
        - name: sessionSid
          in: path
          schema:
            type: string
            description: Session Sid
            pattern: ^ES[a-f0-9]{32}$
          description: Session Sid
          required: true
        - name: eventReportSid
          in: path
          schema:
            type: string
            description: Report Sid
            pattern: ^ER[a-f0-9]{32}$
          description: Report Sid
          required: true
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExamSessionEventReportResponse'
components:
  schemas:
    ExamSessionEventReportResponse:
      type: object
      properties:
        sid:
          type: string
          description: Event report SID
          nullable: true
        contactPerson:
          type: string
          description: Contact person
          nullable: true
        contactPhone:
          type: string
          description: Contact phone
          nullable: true
        contactEmail:
          type: string
          description: Contact email
          nullable: true
        correctiveActionDetails:
          type: string
          description: Corrective action details
          nullable: true
        details:
          type: string
          description: Details
          nullable: true
        directWitness:
          type: string
          description: Direct witness
          nullable: true
        draft:
          type: boolean
          description: Draft
          nullable: true
        eventTime:
          type: string
          description: Event time
          nullable: true
        examSessionSid:
          type: string
          description: Exam session SID
          nullable: true
        potentialDamage:
          type: string
          description: Potential damage
          nullable: true
        subject:
          type: string
          description: Subject
          nullable: true
        status:
          type: string
          description: Status
          nullable: true
        createdDate:
          type: string
          description: Created date
          nullable: true
        eventType:
          type: string
          description: Event type
          nullable: true
  securitySchemes:
    client:
      type: apiKey
      name: token
      in: header

````